<div class="switch-btn {if $one_module.status eq "0"}switch-on{/if}" data-id="#sms_module-1" id="sms__switch-btn"><div></div></div>
<input type="checkbox" hidden="hidden" name="sms_module_status" id="sms_module_status" value="{if $one_module.status eq "0"}1{else}0{/if}"/>
<script>
    $(function () {
        var smsCheckStatus = $('#sms_module_status');
        var smsModuleLink = $('#module__sms');
        $('#sms__switch-btn').click(function () {
            var $this = $(this);
            if ($this.hasClass('switch-on')) {
                jconfirm('{$lang.disabled_module_alert}', function () {
                    $this.toggleClass('switch-on');
                    $this.trigger('off.switch');

                });
            } else {
                $this.toggleClass('switch-on');
                $this.trigger('on.switch');
            }
        });
        $('#sms__switch-btn').on('on.switch', function () {
            // Посылаем запрос на включение модуля
            $.ajax({
                url: '{$config.site_url}/edit_modules.php?module=sms',
                type: 'post',
                data: `csrf={$csrf}&activate=0`,
                beforeSend: function() {
                    makePreloader();
                },
                success: function (resp) {
                    destroyPreloader();
                    smsCheckStatus.val('1');
                    smsModuleLink.removeClass('disabled');
                    location.href = smsModuleLink.attr('href');
                }
            });
        });
        $('#sms__switch-btn').on('off.switch', function () {
            // Посылаем запрос на выключение модуля
            $.ajax({
                url: '{$config.site_url}/edit_modules.php?module=sms',
                type: 'post',
                data: `csrf={$csrf}&activate=1`,
                beforeSend: function() {
                    makePreloader();
                },
                success: function (resp) {
                    destroyPreloader();
                    smsCheckStatus.val('0');
                    smsModuleLink.addClass('disabled');
                }
            });
        });
    });
</script>